find_package(Boost REQUIRED COMPONENTS json)
find_package(OpenSSL REQUIRED)

add_subdirectory(/root/Projects/Kylin Kylin)
add_subdirectory(3rdparty)
add_subdirectory(Base)
add_subdirectory(UnitTest)

add_executable(Older main.cpp
    WeChat/Corporation/Context.h WeChat/Corporation/Context.cpp

    Application.h Application.cpp
    Database.h Database.cpp
    HttpSession.h HttpSession.cpp
    ResponseUtility.h ResponseUtility.cpp
    ServiceLogic.h ServiceLogic.inl ServiceLogic.cpp
    SessionStore.h SessionStore.cpp
    Settings.h Settings.cpp
)

target_include_directories(Older
    PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}
)

target_link_libraries(Older
    PRIVATE Base
    PRIVATE Kylin::Core
    PRIVATE Kylin::Http
    PRIVATE Kylin::Router
    PRIVATE Boost::json
    PRIVATE sqlite3
)